Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIColumn

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIColumn
                  org.richfaces.component.UIColumn

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.richfaces.component.Column

Direct Known Subclasses:
  HtmlColumn

    public abstract class UIColumn

extends javax.faces.component.UIColumn
implements org.richfaces.component.Column

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIColumn()`

Method Summary
`java.lang.String` | `getColumnLabel()` Get label for column.
`org.richfaces.model.FilterField` | `getFilterField()`
`java.lang.String` | `getFilterValue()`
`org.richfaces.model.SortField2` | `getSortField()`
`abstract java.lang.String` | `getSortIcon()`
`abstract java.lang.String` | `getSortIconAscending()`
`abstract java.lang.String` | `getSortIconDescending()`
`org.richfaces.model.Ordering` | `getSortOrder()`
`boolean` | `isRendered()`
`abstract boolean` | `isVisible()`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`void` | `processValidators(javax.faces.context.FacesContext context)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setFilterValue(java.lang.String filterValue)`
`void` | `setRendered(boolean rendered)`
`abstract void` | `setSortIcon(java.lang.String sortIcon)`
`abstract void` | `setSortIconAscending(java.lang.String sortIcon)`
`abstract void` | `setSortIconDescending(java.lang.String sortIcon)`
`void` | `setSortOrder(org.richfaces.model.Ordering sortOrder)`
`abstract void` | `setVisible(boolean visible)`
`void` | `toggleSortOrder()`

Methods inherited from class javax.faces.component.UIColumn
`getFamily, getFooter, getHeader, setFooter, setHeader`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.Column
`getFilterMethod, getSortExpression, isBreakBefore, isSelfSorted, isSortable, setBreakBefore, setFilterMethod, setSelfSorted, setSortable, setSortExpression`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIColumn

    public UIColumn()

Method Detail

### getSortIcon

    public abstract java.lang.String getSortIcon()

### setSortIcon

    public abstract void setSortIcon(java.lang.String sortIcon)

### getSortIconAscending

    public abstract java.lang.String getSortIconAscending()

### setSortIconAscending

    public abstract void setSortIconAscending(java.lang.String sortIcon)

### getSortIconDescending

    public abstract java.lang.String getSortIconDescending()

### setSortIconDescending

    public abstract void setSortIconDescending(java.lang.String sortIcon)

### isVisible

    public abstract boolean isVisible()

### setVisible

    public abstract void setVisible(boolean visible)

### isRendered

    public boolean isRendered()

  Overrides:
    `isRendered` in class `javax.faces.component.UIComponentBase`

### setRendered

    public void setRendered(boolean rendered)

  Overrides:
    `setRendered` in class `javax.faces.component.UIComponentBase`

### getColumnLabel

    public java.lang.String getColumnLabel()

  Get label for column. If label attribute is set returns attribute value, otherwise try to get label from column header content.

  Returns:
    label for column

### getFilterField

    public org.richfaces.model.FilterField getFilterField()

### getSortField

    public org.richfaces.model.SortField2 getSortField()

### toggleSortOrder

    public void toggleSortOrder()

### getSortOrder

    public org.richfaces.model.Ordering getSortOrder()

  Specified by:
    `getSortOrder` in interface `org.richfaces.component.Column`

### setSortOrder

    public void setSortOrder(org.richfaces.model.Ordering sortOrder)

  Specified by:
    `setSortOrder` in interface `org.richfaces.component.Column`

### getFilterValue

    public java.lang.String getFilterValue()

  Specified by:
    `getFilterValue` in interface `org.richfaces.component.Column`

### setFilterValue

    public void setFilterValue(java.lang.String filterValue)

  Specified by:
    `setFilterValue` in interface `org.richfaces.component.Column`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `javax.faces.component.UIComponentBase`

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  Overrides:
    `processValidators` in class `javax.faces.component.UIComponentBase`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.